Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 4648)
@@ -1,121 +1,117 @@
 !> @file init_3d_model.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4548 2020-05-28 19:36:45Z suehring
 ! Bugfix, move call for lsf_forcing_surf after lsf_init is called
-! 
+!
 ! 4514 2020-04-30 16:29:59Z suehring
-! Add possibility to initialize surface sensible and latent heat fluxes via
-! a static driver.
-! 
+! Add possibility to initialize surface sensible and latent heat fluxes via a static driver.
+!
 ! 4493 2020-04-10 09:49:43Z pavelkrc
-! Overwrite u_init, v_init, pt_init, q_init and s_init with hom for all
-! cyclic_fill-cases, not only for turbulent_inflow = .TRUE.
-! 
+! Overwrite u_init, v_init, pt_init, q_init and s_init with hom for all cyclic_fill-cases, not only
+! for turbulent_inflow = .TRUE.
+!
 ! 4360 2020-01-07 11:25:50Z suehring
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
-! 
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
+!
 ! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
-! 
+!
 ! 4286 2019-10-30 16:01:14Z resler
 ! implement new palm_date_time_mod
-! 
+!
 ! 4223 2019-09-10 09:20:47Z gronemeier
-! Deallocate temporary string array since it may be re-used to read different 
-! input data in other modules
-! 
+! Deallocate temporary string array since it may be re-used to read different input data in other
+! modules
+!
 ! 4186 2019-08-23 16:06:14Z suehring
-! Design change, use variables defined in netcdf_data_input_mod to read netcd
-! variables rather than define local ones.
-! 
+! Design change, use variables defined in netcdf_data_input_mod to read netcd variables rather than
+! define local ones.
+!
 ! 4185 2019-08-23 13:49:38Z oliver.maas
 ! For initializing_actions = ' cyclic_fill':
-! Overwrite u_init, v_init, pt_init, q_init and s_init with the 
-! (temporally) and horizontally averaged vertical profiles from the end
-! of the prerun, because these profiles shall be used as the basic state
-! for the rayleigh damping and the pt_damping. 
-! 
+! Overwrite u_init, v_init, pt_init, q_init and s_init with the (temporally) and horizontally
+! averaged vertical profiles from the end of the prerun, because these profiles shall be used as the
+! basic state for the rayleigh damping and the pt_damping.
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
-! 
+!
 ! 4151 2019-08-09 08:24:30Z suehring
 ! Add netcdf directive around input calls (fix for last commit)
-! 
+!
 ! 4150 2019-08-08 20:00:47Z suehring
-! Input of additional surface variables independent on land- or urban-surface
-! model
-! 
+! Input of additional surface variables independent on land- or urban-surface model
+!
 ! 4131 2019-08-02 11:06:18Z monakurppa
 ! Allocate sums and sums_l to allow profile output for salsa variables.
-! 
+!
 ! 4130 2019-08-01 13:04:13Z suehring
-! Effectively reduce 3D initialization to 1D initial profiles. This is because
-! 3D initialization produces structures in the w-component that are correlated
-! with the processor grid for some unknown reason  
-! 
+! Effectively reduce 3D initialization to 1D initial profiles. This is because 3D initialization
+! produces structures in the w-component that are correlated with the processor grid for some
+! unknown reason
+!
 ! 4090 2019-07-11 15:06:47Z Giersch
 ! Unused variables removed
-! 
+!
 ! 4088 2019-07-11 13:57:56Z Giersch
 ! Pressure and density profile calculations revised using basic functions
-! 
+!
 ! 4048 2019-06-21 21:00:21Z knoop
 ! Further modularization of particle code components
-! 
+!
 ! 4017 2019-06-06 12:16:46Z schwenkel
-! Convert most location messages to debug messages to reduce output in
-! job logfile to a minimum
-! 
-! 
+! Convert most location messages to debug messages to reduce output in job logfile to a minimum
+!
 ! unused variable removed
-! 
+!
 ! 3937 2019-04-29 15:09:07Z suehring
-! Move initialization of synthetic turbulence generator behind initialization
-! of offline nesting. Remove call for stg_adjust, as this is now already done
-! in stg_init. 
-! 
+! Move initialization of synthetic turbulence generator behind initialization of offline nesting.
+! Remove call for stg_adjust, as this is now already done in stg_init.
+!
 ! 3900 2019-04-16 15:17:43Z suehring
 ! Fix problem with LOD = 2 initialization
-! 
+!
 ! 3885 2019-04-11 11:29:34Z kanani
-! Changes related to global restructuring of location messages and introduction 
-! of additional debug messages
-! 
+! Changes related to global restructuring of location messages and introduction of additional debug
+! messages
+!
 ! 3849 2019-04-01 16:35:16Z knoop
 ! Move initialization of rmask before initializing user_init_arrays
-! 
+!
 ! 3711 2019-01-31 13:44:26Z knoop
 ! Introduced module_interface_init_checks for post-init checks in modules
-! 
+!
 ! 3700 2019-01-26 17:03:42Z knoop
 ! Some interface calls moved to module_interface + cleanup
-! 
+!
 ! 3648 2019-01-02 16:35:46Z suehring
 ! Rename subroutines for surface-data output
@@ -133,5 +129,5 @@
 !> or
 !> c) read values of a previous run
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE init_3d_model
 
@@ -141,17 +137,17 @@
     USE arrays_3d
 
-    USE basic_constants_and_equations_mod,                                     &
-        ONLY:  c_p, g, l_v, pi, exner_function, exner_function_invers,         &
-               ideal_gas_law_rho, ideal_gas_law_rho_pt, barometric_formula
-
-    USE bulk_cloud_model_mod,                                                  &
+    USE basic_constants_and_equations_mod,                                                         &
+        ONLY:  barometric_formula, c_p, exner_function, exner_function_invers, g,                  &
+               ideal_gas_law_rho, ideal_gas_law_rho_pt, l_v, pi
+
+    USE bulk_cloud_model_mod,                                                                      &
         ONLY:  bulk_cloud_model
 
-    USE chem_modules,                                                          &
+    USE chem_modules,                                                                              &
         ONLY:  max_pr_cs ! ToDo: this dependency needs to be removed cause it is ugly #new_dom
 
     USE control_parameters
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  dx, dy, ddx2_mg, ddy2_mg
 
@@ -159,44 +155,44 @@
 
     USE kinds
-  
-    USE lsf_nudging_mod,                                                       &
+
+    USE lsf_nudging_mod,                                                                           &
         ONLY:  ls_forcing_surf
 
-    USE model_1d_mod,                                                          &
+    USE model_1d_mod,                                                                              &
         ONLY:  init_1d_model, l1d, u1d, v1d
 
-    USE module_interface,                                                      &
-        ONLY:  module_interface_init_arrays,                                   &
-               module_interface_init,                                          &
+    USE module_interface,                                                                          &
+        ONLY:  module_interface_init_arrays,                                                       &
+               module_interface_init,                                                              &
                module_interface_init_checks
 
-    USE multi_agent_system_mod,                                                &
+    USE multi_agent_system_mod,                                                                    &
         ONLY:  agents_active, mas_init
 
-    USE netcdf_interface,                                                      &
+    USE netcdf_interface,                                                                          &
         ONLY:  dots_max
 
-    USE netcdf_data_input_mod,                                                 &
-        ONLY:  char_fill,                                                      &
-               check_existence,                                                &
-               close_input_file,                                               &
-               get_attribute,                                                  &
-               get_variable,                                                   &
-               init_3d,                                                        &
-               input_pids_static,                                              &
-               inquire_num_variables,                                          &
-               inquire_variable_names,                                         &
-               input_file_static,                                              &
-               netcdf_data_input_init_3d,                                      &
-               num_var_pids,                                                   &
-               open_read_file,                                                 &
-               pids_id,                                                        &
-               real_2d,                                                        &
+    USE netcdf_data_input_mod,                                                                     &
+        ONLY:  char_fill,                                                                          &
+               check_existence,                                                                    &
+               close_input_file,                                                                   &
+               get_attribute,                                                                      &
+               get_variable,                                                                       &
+               init_3d,                                                                            &
+               input_pids_static,                                                                  &
+               inquire_num_variables,                                                              &
+               inquire_variable_names,                                                             &
+               input_file_static,                                                                  &
+               netcdf_data_input_init_3d,                                                          &
+               num_var_pids,                                                                       &
+               open_read_file,                                                                     &
+               pids_id,                                                                            &
+               real_2d,                                                                            &
                vars_pids
-               
-    USE nesting_offl_mod,                                                      &
+
+    USE nesting_offl_mod,                                                                          &
         ONLY:  nesting_offl_init
 
-    USE palm_date_time_mod,                                                    &
+    USE palm_date_time_mod,                                                                        &
         ONLY:  set_reference_date_time
 
@@ -204,49 +200,49 @@
 
 #if defined( __parallel )
-    USE pmc_interface,                                                         &
+    USE pmc_interface,                                                                             &
         ONLY:  nested_run
 #endif
 
-    USE random_function_mod 
-
-    USE random_generator_parallel,                                             &
+    USE random_function_mod
+
+    USE random_generator_parallel,                                                                 &
         ONLY:  init_parallel_random_generator
 
-    USE read_restart_data_mod,                                                 &
-        ONLY:  rrd_read_parts_of_global, rrd_local
-
-    USE statistics,                                                            &
-        ONLY:  hom, hom_sum, mean_surface_level_height, pr_palm, rmask,        &
-               statistic_regions, sums, sums_divnew_l, sums_divold_l, sums_l,  &
-               sums_l_l, sums_wsts_bc_l, ts_value,                             &
+    USE read_restart_data_mod,                                                                     &
+        ONLY:  rrd_local, rrd_read_parts_of_global
+
+    USE statistics,                                                                                &
+        ONLY:  hom, hom_sum, mean_surface_level_height, pr_palm, rmask, statistic_regions, sums,   &
+               sums_divnew_l, sums_divold_l, sums_l, sums_l_l, sums_wsts_bc_l, ts_value,           &
                weight_pres, weight_substep
 
-    USE synthetic_turbulence_generator_mod,                                    &
+    USE synthetic_turbulence_generator_mod,                                                        &
         ONLY:  stg_init, use_syn_turb_gen
 
-    USE surface_layer_fluxes_mod,                                              &
+    USE surface_layer_fluxes_mod,                                                                  &
         ONLY:  init_surface_layer_fluxes
 
-    USE surface_mod,                                                           &
-        ONLY :  init_single_surface_properties,                                &
-                init_surface_arrays,                                           &
-                init_surfaces,                                                 &
-                surf_def_h,                                                    &
-                surf_def_v,                                                    &
-                surf_lsm_h,                                                    &
+    USE surface_mod,                                                                               &
+        ONLY :  init_single_surface_properties,                                                    &
+                init_surface_arrays,                                                               &
+                init_surfaces,                                                                     &
+                surf_def_h,                                                                        &
+                surf_def_v,                                                                        &
+                surf_lsm_h,                                                                        &
                 surf_usm_h
 
 #if defined( _OPENACC )
-    USE surface_mod,                                                           &
+    USE surface_mod,                                                                               &
         ONLY :  bc_h
 #endif
 
-    USE surface_data_output_mod,                                               &
+    USE surface_data_output_mod,                                                                   &
         ONLY:  surface_data_output_init
 
     USE transpose_indices
 
+
     IMPLICIT NONE
-    
+
     INTEGER(iwp) ::  i                    !< grid index in x direction
     INTEGER(iwp) ::  ind_array(1)         !< dummy used to determine start index for external pressure forcing
@@ -254,6 +250,6 @@
     INTEGER(iwp) ::  k                    !< grid index in z direction
     INTEGER(iwp) ::  k_surf               !< surface level index
-    INTEGER(iwp) ::  l                    !< running index over surface orientation   
-    INTEGER(iwp) ::  m                    !< index of surface element in surface data type    
+    INTEGER(iwp) ::  l                    !< running index over surface orientation
+    INTEGER(iwp) ::  m                    !< index of surface element in surface data type
     INTEGER(iwp) ::  nz_u_shift           !< topography-top index on u-grid, used to vertically shift initial profiles
     INTEGER(iwp) ::  nz_v_shift           !< topography-top index on v-grid, used to vertically shift initial profiles
@@ -267,26 +263,27 @@
     INTEGER(iwp) ::  sr                   !< index of statistic region
 
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::  ngp_2dh_l  !< toal number of horizontal grid points in statistical region on subdomain
-
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l    !< number of horizontal non-wall bounded grid points on subdomain
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner_l  !< number of horizontal non-topography grid points on subdomain
-
-
-    
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  init_l        !< dummy array used for averaging 3D data to obtain inital profiles 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  p_hydrostatic !< hydrostatic pressure
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::  ngp_2dh_l  !< toal number of horizontal grid points in statistical region on
+                                                             !< subdomain
+
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l    !< number of horizontal non-wall bounded grid points on
+                                                                     !< subdomain
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner_l  !< number of horizontal non-topography grid points on
+                                                                     !< subdomain
 
     REAL(wp) ::  dx_l !< grid spacing along x on different multigrid level
     REAL(wp) ::  dy_l !< grid spacing along y on different multigrid level
 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  init_l                       !< dummy array used for averaging 3D data to obtain
+                                                                         !< inital profiles
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mean_surface_level_height_l  !< mean surface level height on subdomain
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_l               !< total number of non-topography grid points on subdomain
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_tmp             !< total number of non-topography grid points
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  p_hydrostatic                !< hydrostatic pressure
+
     REAL(wp), DIMENSION(1:3) ::  volume_flow_area_l     !< area of lateral and top model domain surface on local subdomain
     REAL(wp), DIMENSION(1:3) ::  volume_flow_initial_l  !< initial volume flow into model domain
 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mean_surface_level_height_l !< mean surface level height on subdomain
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_l    !< total number of non-topography grid points on subdomain
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_tmp  !< total number of non-topography grid points
-
     TYPE(real_2d) ::  tmp_2d !< temporary variable to input additional surface-data from static file
-    
+
     CALL location_message( 'model initialization', 'start' )
 !
@@ -297,40 +294,40 @@
 !
 !-- Allocate arrays
-    ALLOCATE( mean_surface_level_height(0:statistic_regions),                  &
-              mean_surface_level_height_l(0:statistic_regions),                &
-              ngp_2dh(0:statistic_regions), ngp_2dh_l(0:statistic_regions),    &
-              ngp_3d(0:statistic_regions),                                     &
-              ngp_3d_inner(0:statistic_regions),                               &
-              ngp_3d_inner_l(0:statistic_regions),                             &
-              ngp_3d_inner_tmp(0:statistic_regions),                           &
-              sums_divnew_l(0:statistic_regions),                              &
+    ALLOCATE( mean_surface_level_height(0:statistic_regions),                                      &
+              mean_surface_level_height_l(0:statistic_regions),                                    &
+              ngp_2dh(0:statistic_regions), ngp_2dh_l(0:statistic_regions),                        &
+              ngp_3d(0:statistic_regions),                                                         &
+              ngp_3d_inner(0:statistic_regions),                                                   &
+              ngp_3d_inner_l(0:statistic_regions),                                                 &
+              ngp_3d_inner_tmp(0:statistic_regions),                                               &
+              sums_divnew_l(0:statistic_regions),                                                  &
               sums_divold_l(0:statistic_regions) )
     ALLOCATE( dp_smooth_factor(nzb:nzt), rdf(nzb+1:nzt), rdf_sc(nzb+1:nzt) )
-    ALLOCATE( ngp_2dh_outer(nzb:nzt+1,0:statistic_regions),                    &
-              ngp_2dh_outer_l(nzb:nzt+1,0:statistic_regions),                  &
-              ngp_2dh_s_inner(nzb:nzt+1,0:statistic_regions),                  &
-              ngp_2dh_s_inner_l(nzb:nzt+1,0:statistic_regions),                &
-              rmask(nysg:nyng,nxlg:nxrg,0:statistic_regions),                  &
-              sums(nzb:nzt+1,pr_palm+max_pr_user+max_pr_cs+max_pr_salsa),      &
+    ALLOCATE( ngp_2dh_outer(nzb:nzt+1,0:statistic_regions),                                        &
+              ngp_2dh_outer_l(nzb:nzt+1,0:statistic_regions),                                      &
+              ngp_2dh_s_inner(nzb:nzt+1,0:statistic_regions),                                      &
+              ngp_2dh_s_inner_l(nzb:nzt+1,0:statistic_regions),                                    &
+              rmask(nysg:nyng,nxlg:nxrg,0:statistic_regions),                                      &
+              sums(nzb:nzt+1,pr_palm+max_pr_user+max_pr_cs+max_pr_salsa),                          &
               sums_l(nzb:nzt+1,pr_palm+max_pr_user+max_pr_cs+max_pr_salsa,0:threads_per_task-1),   &
-              sums_l_l(nzb:nzt+1,0:statistic_regions,0:threads_per_task-1),    &
+              sums_l_l(nzb:nzt+1,0:statistic_regions,0:threads_per_task-1),                        &
               sums_wsts_bc_l(nzb:nzt+1,0:statistic_regions) )
     ALLOCATE( ts_value(dots_max,0:statistic_regions) )
     ALLOCATE( ptdf_x(nxlg:nxrg), ptdf_y(nysg:nyng) )
 
-    ALLOCATE( d(nzb+1:nzt,nys:nyn,nxl:nxr),                                    &
-              p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                &
+    ALLOCATE( d(nzb+1:nzt,nys:nyn,nxl:nxr),                                                        &
+              p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                    &
               tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
-    ALLOCATE( pt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-              pt_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-              u_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              u_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              u_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              v_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              v_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              v_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              w_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              w_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
+    ALLOCATE( pt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                 &
+              pt_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                 &
+              u_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              u_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              u_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              v_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              v_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              v_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              w_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
+              w_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                                  &
               w_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
     IF (  .NOT.  neutral )  THEN
@@ -339,14 +336,13 @@
 !
 !-- Pre-set masks for regional statistics. Default is the total model domain.
-!-- Ghost points are excluded because counting values at the ghost boundaries
-!-- would bias the statistics
+!-- Ghost points are excluded because counting values at the ghost boundaries would bias the
+!-- statistics.
     rmask = 1.0_wp
     rmask(:,nxlg:nxl-1,:) = 0.0_wp;  rmask(:,nxr+1:nxrg,:) = 0.0_wp
     rmask(nysg:nys-1,:,:) = 0.0_wp;  rmask(nyn+1:nyng,:,:) = 0.0_wp
 !
-!-- Following array is required for perturbation pressure within the iterative
-!-- pressure solvers. For the multistep schemes (Runge-Kutta), array p holds
-!-- the weighted average of the substeps and cannot be used in the Poisson
-!-- solver.
+!-- Following array is required for perturbation pressure within the iterative pressure solvers. For
+!-- the multistep schemes (Runge-Kutta), array p holds the weighted average of the substeps and
+!-- cannot be used in the Poisson solver.
     IF ( psolver == 'sor' )  THEN
        ALLOCATE( p_loc(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -367,16 +363,16 @@
 !
 !--    3D-humidity
-       ALLOCATE( q_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 q_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 q_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 vpt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ) 
-    ENDIF   
-    
+       ALLOCATE( q_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                               &
+                 q_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                               &
+                 q_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                               &
+                 vpt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+    ENDIF
+
     IF ( passive_scalar )  THEN
 
 !
 !--    3D scalar arrays
-       ALLOCATE( s_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 s_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
+       ALLOCATE( s_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                               &
+                 s_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                               &
                  s_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
@@ -384,7 +380,7 @@
 
 !
-!-- Allocate and set 1d-profiles for Stokes drift velocity. It may be set to
-!-- non-zero values later in ocean_init
-    ALLOCATE( u_stokes_zu(nzb:nzt+1), u_stokes_zw(nzb:nzt+1),                  &
+!-- Allocate and set 1d-profiles for Stokes drift velocity. It may be set to non-zero values later
+!-- in ocean_init.
+    ALLOCATE( u_stokes_zu(nzb:nzt+1), u_stokes_zw(nzb:nzt+1),                                      &
               v_stokes_zu(nzb:nzt+1), v_stokes_zw(nzb:nzt+1) )
     u_stokes_zu(:) = 0.0_wp
